## NAME

v.kernel - Generates a raster density map from vector point data using a moving kernel or optionally generates a vector density map on a vector network.

## KEYWORDS

vector, kernel density

## SYNOPSIS

v.kernel
v.kernel help
v.kernel [-oqnmv] input=name [net=name] output=name stddeviation=float [dsize=float] [segmax=float] [distmax=float] [mult=float] [node=string] [kernel=string] [--verbose] [--quiet]

### Flags:

-o
  Try to calculate an optimal standard deviation with 'stddeviation' taken as maximum (experimental)
-q
  Only calculate optimal standard deviation and exit (no map is written)
-n
  In network mode, normalize values by sum of density multiplied by length of each segment. Integral over the output map then gives 1.0 * mult
-m
  In network mode, multiply the result by number of input points.
-v
  Verbose module output (retained for backwards compatibility)
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Input vector with training points
net=name
  Input network vector map
output=name
  Output raster/vector map
stddeviation=float
  Standard deviation in map units
dsize=float
  Discretization error in map units
  Default: 0.
segmax=float
  Maximum length of segment on network
  Default: 100.
distmax=float
  Maximum distance from point to network
  Default: 100.
mult=float
  Multiply the density result by this number
  Default: 1.
node=string
  Node method
  Options: none,split
  Default: none
  none: No method applied at nodes with more than 2 arcs
  split: Equal split (Okabe 2009) applied at nodes
kernel=string
  Kernel function
  Options: uniform,triangular,epanechnikov,quartic,triweight,gaussian,cosine
  Default: gaussian

## DESCRIPTION

v.kernel generates a raster density map from vector points data using a moving kernel. Available kernel density functions are uniform, triangular, epanechnikov, quartic, triweight, gaussian, cosine, default is gaussian.

The module can also generate a vector density map on a vector network. Conventional kernel functions produce biased estimates by overestimating the densities around network nodes, whereas the equal split method of Okabe et al. (2009) produces unbiased density estimates. The equal split method uses the kernel function selected with the kernel option and can be enabled with node=split.

## NOTES

The mult option is needed to overcome the limitation that the resulting density in case of a vector map output is stored as category (Integer). The density result stored as category may be multiplied by this number.

With the -o flag (experimental) the command tries to calculate an optimal standard deviation. The value of stddeviation is taken as maximum value. Standard deviation is calculated using ALL points, not just those in the current region.

## LIMITATIONS

The module only considers the presence of points, but not (yet) any attribute values.

## SEE ALSO

v.surf.rst

## REFERENCES

Okabe, A., Satoh, T., Sugihara, K. (2009). A kernel density estimation method for networks, its computational method and a GIS-based tool. International Journal of Geographical Information Science, Vol 23(1), pp. 7-32.
DOI: 10.1080/13658810802475491

## AUTHORS

Stefano Menegon, ITC-irst, Trento, Italy
Radim Blazek (additional kernel density functions and network part)

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team